Blob Blame History Raw
--- configure.orig	2005-06-03 15:15:10.000000000 +0200
+++ configure	2005-06-03 15:23:34.000000000 +0200
@@ -3067,124 +3067,9 @@
 
 # Checks for libraries.
 
-#
-# Handle user hints
-#
-         echo "$as_me:$LINENO: checking if libpcre is wanted" >&5
-echo $ECHO_N "checking if libpcre is wanted... $ECHO_C" >&6
-
-# Check whether --with-libpcre or --without-libpcre was given.
-if test "${with_libpcre+set}" = set; then
-  withval="$with_libpcre"
-  if test "$withval" != no ; then
-                          LIBPCRE_HOME="$withval"
-                          echo "$as_me:$LINENO: result: yes: libraries ${LIBPCRE_HOME}/lib  includes ${LIBPCRE_HOME}/include" >&5
-echo "${ECHO_T}yes: libraries ${LIBPCRE_HOME}/lib  includes ${LIBPCRE_HOME}/include" >&6
-                      else
-                          echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-                      fi
-else
-  LIBPCRE_HOME=/usr/local
-                      if test ! -f "${LIBPCRE_HOME}/include/pcre.h"
-                      then
-                         LIBPCRE_HOME=/usr
-                      fi
-                      echo "$as_me:$LINENO: result: yes: libraries ${LIBPCRE_HOME}/lib  includes ${LIBPCRE_HOME}/include" >&5
-echo "${ECHO_T}yes: libraries ${LIBPCRE_HOME}/lib  includes ${LIBPCRE_HOME}/include" >&6
-
-fi;
-
-#
-# Locate libpcre, if wanted
-#
-         if test -n "${LIBPCRE_HOME}"
-         then
-             LDFLAGS="$LDFLAGS -L${LIBPCRE_HOME}/lib"
-             CPPFLAGS="$CPPFLAGS -I${LIBPCRE_HOME}/include"
-
-echo "$as_me:$LINENO: checking for pcre_compile in -lpcre" >&5
-echo $ECHO_N "checking for pcre_compile in -lpcre... $ECHO_C" >&6
-if test "${ac_cv_lib_pcre_pcre_compile+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpcre  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char pcre_compile ();
-int
-main ()
-{
-pcre_compile ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_pcre_pcre_compile=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_pcre_pcre_compile=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_pcre_pcre_compile" >&5
-echo "${ECHO_T}$ac_cv_lib_pcre_pcre_compile" >&6
-if test $ac_cv_lib_pcre_pcre_compile = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBPCRE 1
-_ACEOF
-
-  LIBS="-lpcre $LIBS"
-
-else
-  { { echo "$as_me:$LINENO: error: libpcre is required" >&5
-echo "$as_me: error: libpcre is required" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-         else
-             { { echo "$as_me:$LINENO: error: libpcre is required" >&5
-echo "$as_me: error: libpcre is required" >&2;}
-   { (exit 1); exit 1; }; }
-         fi
-
+LDFLAGS="$LDFLAGS -L$/usr/lib"
+CPPFLAGS="$CPPFLAGS `pcre-config --cflags`"
+LIBS="-lpcre $LIBS"
 
 # Check whether --with-libwww-prefix or --without-libwww-prefix was given.
 if test "${with_libwww_prefix+set}" = set; then